%define modname	File-DesktopEntry
%define modver 0.08

Summary:	Object to handle .desktop files


Name:		perl-%{modname}
Version:	%perl_convert_version %{modver}
Release:	3
License:	GPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{modname}/
Source0:	http://www.cpan.org/modules/by-module/File/%{modname}-%{modver}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(File::BaseDir)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl-devel

%description
This module is used to work with .desktop files. The format of these files is
specified by the freedesktop "Desktop Entry" specification.

%prep
%setup -qn %{modname}-%{modver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/File/DesktopEntry.pm
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.80.0-3
+ Revision: 275daaa
- MassBuild#440: Increase release tag


